# Server Inventory

Informative inventory endpoints

## Get inventory availability numbers for all instance types in all locations

> Get inventory availability numbers for all instance types in all locations

```json
{"openapi":"3.0.3","info":{"title":"Inventory Service - OpenAPI 3.0","version":"0.1.0"},"tags":[{"name":"Server Inventory","description":"Informative inventory endpoints"}],"security":[{"ApiKeyAuth":["read:server","write:server"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","name":"X-Api-Key","in":"header"}},"schemas":{"InventoryAvailability":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InventoryAvailabilityItem"}}}},"InventoryAvailabilityItem":{"type":"object","required":["locationId","locationName","instanceTypeId","instanceTypeName","available","allocated","allocatedLegacy","committedUnderContract","allocatedUnderContract","isolated","baseline"],"properties":{"locationId":{"type":"integer","format":"int"},"locationName":{"type":"string"},"instanceTypeId":{"type":"integer","format":"int"},"instanceTypeName":{"type":"string"},"available":{"type":"integer","format":"int"},"allocated":{"type":"integer","format":"int"},"allocatedLegacy":{"type":"integer","format":"int"},"committedUnderContract":{"type":"integer","format":"int"},"allocatedUnderContract":{"type":"integer","format":"int"},"isolated":{"type":"integer","format":"int"},"baseline":{"type":"integer","format":"int"}}}}},"paths":{"/api/inventory/availability":{"get":{"tags":["Server Inventory"],"summary":"Get inventory availability numbers for all instance types in all locations","description":"Get inventory availability numbers for all instance types in all locations","operationId":"getInventoryAvailability","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryAvailability"}}}},"401":{"description":"Invalid authentication"}}}}}}
```

## Get isolated (problematic) servers

> Get all isolated servers, except "legacy rented"

```json
{"openapi":"3.0.3","info":{"title":"Inventory Service - OpenAPI 3.0","version":"0.1.0"},"tags":[{"name":"Server Inventory","description":"Informative inventory endpoints"}],"security":[{"ApiKeyAuth":["read:server","write:server"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","name":"X-Api-Key","in":"header"}},"schemas":{"InventoryIsolated":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/InventoryIsolatedItem"}}}},"InventoryIsolatedItem":{"type":"object","required":["serverId","serial","name","hostname","locationId","instanceTypeId","state","subState","operationUuid","additionalMessage"],"properties":{"serverId":{"type":"integer","format":"int","minimum":0},"serial":{"type":"string"},"name":{"type":"string"},"hostname":{"type":"string"},"locationId":{"type":"integer","format":"int","minimum":0},"instanceTypeId":{"type":"integer","format":"int","minimum":0},"state":{"type":"string","enum":["new","isolated","backToBaseline","available","allocated","decommissioned"]},"subState":{"type":"string","enum":["backToBaseline","excluded","reserved","brokenHardware","incompleteData","failedOsInstall","unknownError","rentedLegacy","quarantined"]},"operationUuid":{"type":"string","format":"uuid"},"isolationReason":{"type":"string"},"isolationDate":{"type":"string","format":"date-time"}}}}},"paths":{"/api/inventory/isolated":{"get":{"tags":["Server Inventory"],"summary":"Get isolated (problematic) servers","description":"Get all isolated servers, except \"legacy rented\"","operationId":"getIsolatedInventory","responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InventoryIsolated"}}}},"401":{"description":"Invalid authentication"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/inventory/server-inventory-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
